/*---------- components css ----------*/
/*banner*/
//.c-banner{
//  max-width: 100%;
//  margin-left: auto;
//  margin-right: auto;
//  .c-banner-item{
//    &:last-child{
//      margin-bottom: 0;
//    }
//  }
//}
//.c-banner-item{
//  margin-bottom: 1px;
//  img{
//    width:100%;
//    height: auto;
//  }
//}
/*end banner*/
/*box*/
.c-block{
  padding: 30px 0;
}
.c-box{
  .c-box__title{
    padding-bottom: 15px;
    .c-box__title__name{
      text-align: center;
      font-weight: 300;
      text-transform: uppercase;
      color: $color-secondary;
      line-height: normal;
      font-size: 22px;
      b{
        font-weight: 700;
      }
    }
    .c-box__title__desc{
      color: $color-time;
      text-align: center;
      line-height: normal;
      margin-top: 10px;
    }
  }
}
/*end box*/
/*template slider*/
.c-template-slider{
  .owl-carousel{
    .owl-dots{
      text-align: center;
      line-height: 10px;
      padding-top: 15px;
    }
    button.owl-dot{
      display: inline-block;
      vertical-align: middle;
      width: 10px;
      height: 10px;
      border: 1px solid $color-secondary;
      background: $color-white;
      margin: 0 3px;
      @include border-radius(5px);
      &:focus{
        outline: none;
      }
      &.active{
        background: $color-primary;
        width: 20px;
      }
    }
  }
}
/*end template slider*/
/*template nav*/
.c-template-nav{
  position: relative;
  z-index: 1;
  .owl-carousel{
    .owl-nav{
      padding-top: 10px;
      text-align: center;
      button.owl-next, button.owl-prev{
        display: inline-block;
        vertical-align: middle;
        margin: 0 10px;
        font-size: 32px;
        color: $color-secondary;
        &:focus{
          outline: none;
        }
        &:before{
          font-weight: 900;
          font-family: $font-awesome-5-free;
        }
      }
      button.owl-next{
        &:before{
          content: "\f105";
        }
      }
      button.owl-prev{
        &:before{
          content: "\f104";
        }
      }
    }
  }
}
/*end template nav*/
/*widget*/
.c-widget{
  margin-bottom: 20px;
  .c-widget__title{
    padding-bottom: 8px;
    border-bottom: 2px solid $color-border2;
    margin-bottom: 10px;
    &.is-noborder{
      border-bottom: none;
      padding-bottom: 0;
    }
    .c-widget__title__name{
      text-transform: uppercase;
      color: $color-text;
      line-height: normal;
      font-size: 14px;
      font-weight: 700;
    }
  }
}
/*end widget*/
/*bigtitle*/
.c-bigtitle{
  padding-bottom: 10px;
  h1{
    color: $color-secondary;
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
  }
}
/*end bigtitle*/
/*smart tabs*/
.c-smart-tabs{
  &__title{
    text-align: center;
    margin-bottom: 25px;
    ul{
      list-style: none;
      margin: 0;
      padding: 0;
      li{
        display: inline-block;
        vertical-align: middle;
        margin: 0 10px 10px;
        a{
          display: block;
          color: $color-time;
          text-transform: uppercase;
          border-bottom: 2px solid transparent;
          padding-bottom: 5px;
          text-decoration: none;
        }
        &.active{
          a{
            border-color: $color-primary;
            color: $color-text;
          }
        }
      }
    }
  }
  &__content{
    position: relative;
    z-index: 1;
  }
  &__pane{
    visibility: hidden;
    opacity: 0;
    z-index: -1;
    overflow: hidden;
    height: 1px;
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    &.active{
      visibility: visible;
      opacity: 1;
      z-index: 2;
      overflow: inherit;
      height: auto;
      position: static;
    }
  }
}
/*end smart tabs*/
//components responsive css
@media (min-width: $screen-sm-min){
  .c-block{
    padding: 40px 0;
  }
  .c-box{
    .c-box__title{
      padding-bottom: 20px;
      .c-box__title__name{
        font-size: 24px;
      }
    }
  }
  .c-bigtitle{
    h1{
      font-size: 20px;
    }
  }
}
@media (min-width: $screen-md-min){
  .c-block{
    padding: 55px 0;
  }
  .c-box{
    .c-box__title{
      padding-bottom: 25px;
      .c-box__title__name{
        font-size: 28px;
      }
    }
  }
  .c-widget{
    margin-bottom: 25px;
  }
  .c-bigtitle{
    padding-bottom: 15px;
    h1{
      font-size: 22px;
    }
  }
  .c-smart-tabs{
    &__title{
      margin-bottom: 30px;
    }
  }
}
@media (min-width: $screen-lg-min){
  .c-block{
    padding: 70px 0;
  }
  .c-box{
    .c-box__title{
      padding-bottom: 30px;
      .c-box__title__name{
        font-size: 32px;
      }
      .c-box__title__desc{
        font-size: 15px;
      }
    }
  }
  .c-widget{
    margin-bottom: 30px;
  }
  .c-bigtitle{
    h1{
      font-size: 24px;
    }
  }
  .c-smart-tabs{
    &__title{
      margin-bottom: 35px;
    }
  }
  .c-template-slider{
    .owl-carousel{
      .owl-dots{
        padding-top: 20px;
      }
    }
  }
  .c-template-nav{
    .owl-carousel{
      .owl-nav{
        padding-top: 0;
        button.owl-next, button.owl-prev{
          margin: -20px 0 0;
          position: absolute;
          z-index: 2;
          top: 50%;
          font-size: 40px;
          @include transition-all(0.3s);
          &:hover{
            color: $color-primary;
          }
        }
        button.owl-next{
          right: -20px;
        }
        button.owl-prev{
          left: -20px;
        }
      }
    }
  }
}
@media (min-width: $screen-xl-min){
  .c-block{
    padding: 85px 0;
  }
  .c-box{
    .c-box__title{
      padding-bottom: 40px;
      .c-box__title__name{
        font-size: 36px;
      }
    }
  }
  .c-template-nav{
    .owl-carousel{
      .owl-nav{
        button.owl-next{
          right: -35px;
        }
        button.owl-prev{
          left: -35px;
        }
      }
    }
  }
}
//end components responsive css
/*---------- end components css ----------*/